> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Request Data Download

> Request download of your personal data using this endpoint. The <a href='https://docs.rocket.chat/v1/docs/user-data-download' target='_blank'>User Data Download</a> feature must be configured in the workspace by the admin. The exported file is available in the configured directory.

### Changelog
| Version      | Description |
| ---------------- | ------------|
|1.2.0            | Added as `users.requestDataDownload`       |

## OpenAPI

````json GET /api/v1/users.requestDataDownload
{
  "openapi": "3.0.0",
  "info": {
    "version": "1.0.0",
    "title": "User Management"
  },
  "servers": [
    {
      "url": "https://apiexplorer.support.rocket.chat"
    }
  ],
  "tags": [
    {
      "name": "LDAP"
    },
    {
      "name": "Permissions"
    },
    {
      "name": "Roles"
    },
    {
      "name": "Users"
    }
  ],
  "paths": {
    "/api/v1/users.requestDataDownload": {
      "get": {
        "summary": "Request Data Download",
        "operationId": "get-api-v1-users.requestDataDownload",
        "responses": {
          "200": {
            "description": "",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "requested": {
                      "type": "boolean"
                    },
                    "exportOperation": {
                      "type": "object",
                      "properties": {
                        "_id": {
                          "type": "string"
                        },
                        "createdAt": {
                          "type": "string"
                        },
                        "userId": {
                          "type": "string"
                        },
                        "roomList": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "roomId": {
                                "type": "string"
                              },
                              "roomName": {
                                "type": "string"
                              },
                              "userId": {
                                "type": "string",
                                "nullable": "true"
                              },
                              "exportedCount": {
                                "type": "integer"
                              },
                              "status": {
                                "type": "string"
                              },
                              "targetFile": {
                                "type": "string"
                              },
                              "type": {
                                "type": "string"
                              }
                            }
                          }
                        },
                        "status": {
                          "type": "string"
                        },
                        "exportPath": {
                          "type": "string"
                        },
                        "assetsPath": {
                          "type": "string"
                        },
                        "fileList": {
                          "type": "array",
                          "items": {
                            "type": "object"
                          }
                        },
                        "generatedFile": {
                          "type": "string"
                        },
                        "fullExport": {
                          "type": "boolean"
                        },
                        "_updatedAt": {
                          "type": "string"
                        }
                      }
                    },
                    "success": {
                      "type": "boolean"
                    }
                  }
                },
                "examples": {
                  "Success Example": {
                    "value": {
                      "requested": "false",
                      "exportOperation": {
                        "_id": "uDSuaW7vGd9B7j8qD",
                        "createdAt": "2019-06-07T23:02:13.359Z",
                        "userId": "hjwGZafNqExtFNmN7",
                        "roomList": [
                          {
                            "roomId": "GENERAL",
                            "roomName": "general",
                            "userId": null,
                            "exportedCount": "8",
                            "status": "completed",
                            "targetFile": "general.html",
                            "type": "c"
                          }
                        ],
                        "status": "uploading",
                        "exportPath": "/tmp/userData/hjwGZafNqExtFNmN7/partial",
                        "assetsPath": "/tmp/userData/hjwGZafNqExtFNmN7/partial/assets",
                        "fileList": [],
                        "generatedFile": "/tmp/zipFiles/hjwGZafNqExtFNmN7.zip",
                        "fullExport": "false",
                        "_updatedAt": "2019-06-07T23:15:00.326Z"
                      },
                      "success": "true"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/authorizationError"
          }
        },
        "tags": [
          "Users"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/Auth-Token"
          },
          {
            "$ref": "#/components/parameters/UserId"
          },
          {
            "schema": {
              "type": "boolean",
              "default": "false"
            },
            "in": "query",
            "name": "fullExport",
            "description": "Whether you want a full export or not. By default, the value is false."
          }
        ],
        "description": "Request download of your personal data using this endpoint. The <a href='https://docs.rocket.chat/v1/docs/user-data-download' target='_blank'>User Data Download</a> feature must be configured in the workspace by the admin. The exported file is available in the configured directory.\n\n### Changelog\n| Version      | Description |\n| ---------------- | ------------|\n|1.2.0            | Added as `users.requestDataDownload`       |"
      }
    }
  },
  "components": {
    "responses": {
      "authorizationError": {
        "description": "Unauthorized",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "status": {
                  "type": "string"
                },
                "message": {
                  "type": "string"
                }
              }
            },
            "examples": {
              "Authorization Error": {
                "value": {
                  "status": "error",
                  "message": "You must be logged in to do this."
                }
              }
            }
          }
        }
      }
    },
    "parameters": {
      "Auth-Token": {
        "name": "X-Auth-Token",
        "in": "header",
        "description": "The authenticated user token.",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f"
      },
      "UserId": {
        "name": "X-User-Id",
        "in": "header",
        "description": "The authenticated user ID.",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "rbAXPnMktTFbNpwtJ"
      }
    }
  }
}
````

